/* google font link */
@import url('https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');

/* variables */
:root {
    /* colors */
    --color-primary: white;
   --color-secondary: #f2f2f2;
   --color-text: #7a7a7a;
   --color-accent: #3a8523;
   --color-heading: #333232;
   --light-green: hsl(106, 58%, 89%);
   /* fonts */
   --heading-main: 44px;
   --heading-sub: 24px;
   --heading-small: 20px;
   --paragraph: 16px;
   --weight-bold: 700;
   --weight-semi-bold: 600;
   --weight-medium: 500;
   --weight-normal: 400;
   /* border radius */
   --border-radius-large: 24px;
   --border-radius-medium: 16px;
   --border-radius-small: 8px;
   /* box shadow */
    --box-shadow-light: 0 2px 10px rgba(0, 0, 0, 0.06);
    --box-shadow-dark: 0 4px 12px rgba(0, 0, 0, 0.12);
  }

::before, ::after*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Ubuntu', sans-serif;
}


body{
background-color: var(--color-secondary);
}

.main-container{
    max-width: 1440px;
    margin:50px 96px;
    /* background-color: var(--color-primary); */
}
.main-heading-container{
    margin-bottom:24px;
    text-align: center;
    color: var(--color-heading);
    background-color: var(--color-primary);
    border: 4px solid var(--color-accent);
    padding: 16px 8px;
    border-radius: var(--border-radius-large);
}

.main-heading-container .main-heading{
    font-size: var(--heading-main);
    font-weight: var(--weight-bold);
    background-color: transparent;
}

.shadow-light{
    box-shadow: var(--box-shadow-light);
}

.shadow-dark{
    box-shadow: var(--box-shadow-dark);
}

/* ===========Project 1========== */
.project-heading-container{
    text-align: center;
    padding: 8px 8px;
    margin-bottom:64px;
    background-color: var(--color-accent);
    border-radius: var(--border-radius-small); 
}
.project-heading-container .project-heading{
    color: var(--color-primary);
    font-size: var(--heading-sub);
    font-weight: var(--weight-medium);
    background-color: transparent;
}

.project-container{
    /* margin-top:20px; */
    text-align: center;
    width: 796px;
    margin: 0 auto;
    background-color: var(--color-primary);
    border-radius: var(--border-radius-large);
    padding: 32px;
    margin-bottom: 16px;
}

#counterLabel{
    color: var(--color-heading);
    font-size: var(--heading-main);
    font-weight: var(--weight-bold);
    background-color: transparent;
}

.btn{
    color: var(--color-primary);
    background-color: var(--color-accent);
    padding: 8px 20px;
    border-radius: 8px;
    font-size: var(--paragraph);
    font-weight: var(--weight-normal);
    border: none;
    transition: 0.5s all;
    cursor: pointer;
}

.btn:hover{
    background-color: hsl(106, 58%, 20%);
    color: var(--color-primary);
}

/* ===========Project 2========== */


.guessDisplay{
    color: var(--color-heading);
    font-size: var(--heading-main);
    font-weight: var(--weight-bold);
    background-color: transparent;
}

/* ===========Project 3========== */

#p3-container{
    max-width: 400px;
    text-align: center;
    margin: 0 auto;
    padding: 24px;
    border-radius: var(--border-radius-medium);
    background-color: var(--light-green);
}

#tempText{
    font-size: var(--paragraph);
    color: var(--color-text);
    font-weight: var(--weight-medium);
    margin-bottom: 16px;
}
#tempValue{
    border: 2px solid var(--color-accent);
    text-align: center;
    font-size: var(--heading-small);
    font-weight: var(--weight-semi-bold);
    border-radius: var(--border-radius-small);
    margin-bottom: 16px;
}

.label-text{
    font-size: var(--heading-small);
    font-weight: var(--weight-medium);
}

.tempBtn{
    margin-top: 24px;
}


#tempResult{
    margin-top: 16px;;
    font-size: var(--heading-sub);
    font-weight: var(--weight-bold);
}

/* ===========Project 4========== */

.clock-container{
    max-width: 400px;
    margin: 0 auto;
    padding: 16px;
    border-radius: var(--border-radius-medium);
    background-color: var(--light-green);
}

.clock{
    font-size: var(--heading-main);
    font-weight: var(--weight-bold);
    color: var(--color-heading);
}


/* ===========Project 5========== */

#swDisplay{
    margin-bottom: 16px;
}

.redBtn{
    background-color: hsl(347, 65%, 51%);
}
.redBtn:hover{
    background-color: #c53453;
}
.blueBtn{
    background-color: hsl(244, 65%, 51%);
}
.blueBtn:hover{
    background-color: #3328ce;
}

/* ===========Project 6========== */

.calculator{
    max-width: 310px;
    background-color: var(--light-green);
    padding: 32px 16px;
    margin: 0 auto;
    border-radius: var(--border-radius-medium);
    display: flex;
    align-items: center;
    flex-direction: column;
}

.calDisplay-container{
    margin-bottom: 16px;
}

.calDisplay-container #calDisplay{
    border: 1px solid var(--color-accent);
    padding: 8px;
    border-radius: var(--border-radius-small);
    font-size: var(--heading-small);
    font-weight: var(--weight-medium);
    width: 278px;
    background-color: var(--color-primary);
    text-align: right;
}

.calButtons{
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 16px;
}

.doubleWidth{
    grid-column: span 2;
}
.doubleWidth{
    width: auto !important;
    height: auto !important;
}

.calBtn{
    border: none;
    background-color: var(--color-primary);
    width: 46px;
    height: 46px;
    padding: 8px;
    border-radius: 6px;
    font-size: var(--heading-small);
    transition: background-color 0.5s ease;
    cursor: pointer;
    color: var(--paragraph);
}
.calBtn:hover{
    background-color: #a5a4a4;;
}
.oprtBtn{
    background-color: var(--color-accent);
    color: var(--color-primary);
}

.oprtBtn:hover{
    background-color: hsl(106, 58%, 20%);
}

/* ===========Project 7========== */


.slider {
  position: relative;
  max-width: 600px;
  margin: 0 auto;
  background-color: var(--light-green);
  padding: 16px 0;
  border-radius: var(--border-radius-medium);
}

.slide {
  display: none;
  width: 500px;
  border-radius:var(--border-radius-small);
  height: 350px;
  margin: 0 auto;
transition: opacity 0.5s ease;
}

.slide.active {
  display: block;
  opacity: 1;
}

.slider .slideBtn{
    background-color: var(--color-primary);
    color: var(--color-accent);
    font-size: 20px;
    border: none;
    padding: 8px;
    border-radius: var(--border-radius-small);
    transition: background-color 0.5s ease;
}

.slider .prevBtn{
    position: absolute;
    left: 10%;
    top: 50%;
}

.slideBtn:hover{
    background-color: var(--color-accent);
    color: var(--color-primary);
}

.slider .nextBtn{
    position: absolute;
    right: 10%;
    top: 50%;
}

/* ===========Project 7========== */

.weather-app-container {
    text-align: center;
    width: 360px;
    background-color: var(--light-green);
    border-radius:var(--border-radius-medium);
    padding: 16px;
    margin: 0 auto;
}

.search {
    margin-bottom: 16px;
    display: flex;
    gap: 8px;
}

input {
    padding: 8px;
    width: 70%;
    border: 1px solid var(--color-accent);
    border-radius: var(--border-radius-small);
    font-size: var(--paragraph);
    color:var(--paragraph);

}

.weather-info div {
    margin: 0.5rem 0;
}

#temperature {
    font-size: var(--heading-small);
    font-weight: bold;
}

#weather-icon img {
    width: 50px;
    height: 50px;
}

/* footer styles */

.footer-text{
    text-align: center;
    margin-top: 64px;
    padding: 16px 8px;
    background-color: var(--color-primary);
    border-radius: var(--border-radius-small);
    border: 2px solid var(--color-accent);
}